#!/bin/bash

CATEGORIES=""
EDUCATS="'matematicas', 'lengua', 'otrasaplicaciones', 'infantil', 'recursostic', 'tecnologia', 'idiomas', 'geografia', 'ciencia', 'herramientasdeautor', 'musica', 'herramientassistema'"
for i in `gsettings get org.gnome.desktop.app-folders folder-children`
do
	CAT=`echo $i | sed -e 's/\[//g' -e 's/\]//g' -e 's/,//g'`
	if [ "${CAT}" != "'matematicas'" ] && [ "${CAT}" != "'lengua'" ] && [ "${CAT}" != "'otrasaplicaciones'" ] && [ "${CAT}" != "'infantil'" ] && [ "${CAT}" != "'recursostic'" ] && [ "${CAT}" != "'tecnologia'" ] && [ "${CAT}" != "'idiomas'" ] && [ "${CAT}" != "'geografia'" ] && [ "${CAT}" != "'ciencia'" ] && [ "${CAT}" != "'herramientasdeautor'" ] && [ "${CAT}" != "'musica'" ] && [ "${CAT}" != "'herramientassistema'" ]
	then
		if [ "${CATEGORIES}" == "" ]
		then
			CATEGORIES=$CAT
		else
			CATEGORIES=$CATEGORIES','$CAT
		fi
	fi
done
echo $CATEGORIES
if [ "${CATEGORIES}" == "" ]
then
	CATEGORIES=$EDUCATS
else
	CATEGORIES=$CATEGORIES', '$EDUCATS
fi
echo $CATEGORIES
gsettings set org.gnome.desktop.app-folders folder-children "[$CATEGORIES]"
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/matematicas/ name matematicas.directory
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/lengua/ name lengua.directory
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/otrasaplicaciones/ name otrasaplicaciones.directory
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/infantil/ name infantil.directory
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/recursostic/ name recursostic.directory
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/tecnologia/ name tecnologia.directory
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/idiomas/ name idiomas.directory
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/geografia/ name geografia.directory
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/ciencia/ name ciencia.directory
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/herramientasdeautor/ name herramientasdeautor.directory
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/musica/ name musica.directory
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/herramientassistema/ name herramientassistema.directory
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/matematicas/ translate true
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/lengua/ translate true
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/otrasaplicaciones/ translate true
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/infantil/ translate true
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/recursostic/ translate true
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/tecnologia/ translate true
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/idiomas/ translate true
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/geografia/ translate true
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/ciencia/ translate true
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/herramientasdeautor/ translate true
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/musica/ translate true
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/herramientassistema/ translate true
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/matematicas/ categories "['Matematicas']"
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/lengua/ categories "['Lengua']"
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/otrasaplicaciones/ categories "['OtrasAplicaciones']"
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/infantil/ categories "['Infantil']"
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/recursostic/ categories "['RecursosTIC']"
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/tecnologia/ categories "['Tecnologia']"
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/idiomas/ categories "['Idiomas']"
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/geografia/ categories "['Geografia']"
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/ciencia/ categories "['Ciencia']"
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/herramientasdeautor/ categories "['HerramientasAutor']"
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/musica/ categories "['Musica']"
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/herramientassistema/ categories "['System','Settings','HardwareSettings']"
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/matematicas/ apps "[]"
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/lengua/ apps "[]"
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/otrasaplicaciones/ apps "[]"
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/infantil/ apps "[]"
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/recursostic/ apps "[]"
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/tecnologia/ apps "[]"
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/idiomas/ apps "[]"
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/geografia/ apps "[]"
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/ciencia/ apps "[]"
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/herramientasdeautor/ apps "[]"
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/musica/ apps "[]"
gsettings set org.gnome.desktop.app-folders.folder:/org/gnome/desktop/app-folders/folders/herramientassistema/ apps "[]"
